TAAS - Feature #242

Inter Branch Report
07/09/2023 04:02 PM - Anil KV

Status: New Changes Start date: 07/09/2023
Priority: Normal Due date:

Assignee: Shilpa Pavithran % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: Arathy PS
Time Taken(HH): Code Reviewed By:

Module: Inter Branch Report

Description

Coding Inter Branch Report

History

#1 - 09/08/2023 12:12 PM - Anil KV

Solutions

1) GUI Changes
—Currency - Default Empty - Add BASEl (***),BASE2(***), All currency code
—-Add status - like Ledger stmt
2) SQL
SELECT tr.dat_transaction
FROM transaction.tbl_transaction tr

LEFT JOIN document.tbl_documents doc

ON tr.fk_documents_id = doc.pk_documents_id

WHERE tr.sin_posting_status = 1

AND tr.sin_transaction_status = 1

AND tr.sin_document_status = 1

AND tr.sin_posting_type != 4

AND tr.fk_ledger_id = 1 -- Input To branche Control account id
AND doc.fk_branch_id IN (1, 2) -- Input from branches

AND tr.dat_transaction BETWEEN '2023-09-01' AND '2023-09-30"'
ORDER BY tr.dat_transaction;
*Input currency base amount choose

#2 - 09/08/2023 12:13 PM - Anil KV
- Status changed from New to Open

- % Done changed from 0 to 10

#3 - 01/23/2024 10:33 AM - Anil KV

- Assignee changed from travvise Admin to Vivekp V

#4 - 03/07/2024 02:52 PM - Anil KV
- Status changed from Open to Ready for Coding
- % Done changed from 10 to 20

#5 - 08/02/2024 02:34 PM - Junaid M
- Assignee changed from Vivekp V to Meljo Sunny

#6 - 08/07/2024 12:37 PM - Meljo Sunny
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30
#7 - 08/20/2024 05:13 PM - Meljo Sunny
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#8 - 08/21/2024 11:06 AM - Arathy PS
- Status changed from Coding Done to Testing Started
- Tested By set to Arathy PS

#9 - 08/21/2024 01:22 PM - Arathy PS
- Status changed from Testing Started to Reopen Bugs
- % Done changed from 60 to 50

Issue Found:
1)Currency value not changing as we change base currency
2)After clicking print input field in Ul gets enabled

#10 - 08/27/2024 10:18 AM - Meljo Sunny
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#11 - 04/11/2025 02:23 PM - Arathy PS

- Assignee changed from Meljo Sunny to Shilpa Pavithran

#12 - 04/11/2025 02:44 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES

Inter Branch Report -> Assign Shilpa

—>Rename 'From Branch*' to 'Branch'

—-And Select box

—>"'To Branch' - Multi-Selection

—->Branch Wise Grouping(Branch ac base finding branch-Branch master )
->'To Branch*' need multi-selection

->Group wise total need

-Total label 'Pay' or 'Receive' (-ve balance)

=>List

—-Add 'OB' Column before 'Debit'

—Rename 'Debit' to 'Pay(Dr)'

-Rename 'Credit' to 'Receive (Cr)'

*Swap the columns

—-Settled and Outstanding Column -> +ve(Cr) or -ve (Dr)

-> Add 'Matched' and 'Outstanding' Checkboxes - Checkboxes - like Ledger stmt

05/03/2025 22


http://www.tcpdf.org

